types.hpp File Reference
`#include <cstdint>`
Include dependency graph for types.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Typedefs

typedef int64_t | osmium::object_id_type
| Type for OSM object (node, way, or relation) IDs. More...
typedef uint64_t | osmium::unsigned_object_id_type
| Type for OSM object (node, way, or relation) IDs where we only allow positive IDs. More...
typedef uint32_t | osmium::object_version_type
| Type for OSM object version number. More...
typedef uint32_t | osmium::changeset_id_type
| Type for OSM changeset IDs. More...
typedef uint32_t | osmium::user_id_type
| Type for OSM user IDs. More...
typedef int32_t | osmium::signed_user_id_type
| Type for signed OSM user IDs. More...
typedef uint32_t | osmium::num_changes_type
| Type for changeset num_changes. More...
typedef uint32_t | osmium::num_comments_type
| Type for changeset num_comments. More...
typedef uint16_t | osmium::string_size_type

## Variables

constexpr const int | osmium::max_osm_string_length = 256 * 4